org.apache.felix.ipojo.handlers.dependency

## Class ServiceUsage

- java.lang.Object
- - java.lang.ThreadLocal<ServiceUsage.Usage>
  - - org.apache.felix.ipojo.handlers.dependency.ServiceUsage

    public class ServiceUsage
    extends java.lang.ThreadLocal<ServiceUsage.Usage>

Object managing thread local copy of required services.

Author:
  Felix Project Team

### Nested Class Summary

Nested Classes
`static class` `ServiceUsage.Usage` Structure contained in the Thread Local.

### Constructor Summary

Constructors
Constructor and Description
`ServiceUsage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ServiceUsage.Usage` `initialValue()` Initialize the cached object.

### Methods inherited from class java.lang.ThreadLocal

`get, remove, set, withInitial`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServiceUsage

    public ServiceUsage()

### Method Detail

#### initialValue

    public ServiceUsage.Usage initialValue()

Initialize the cached object.

Overrides:
  `initialValue` in class `java.lang.ThreadLocal<ServiceUsage.Usage>`
Returns:
  an empty Usage object.
See Also:
  `ThreadLocal.initialValue()`